#!/usr/bin/env python

import sys
import time
from operator import itemgetter
import bisect


def main():

	binsize = int(sys.argv[1])
	filename_N = sys.argv[2]

	CHROMLEN = open("/mnt/wigclust5/data/safe/kendall/sequences/saccer3.chrom.sizes.txt", "r")
	OUTFILE = open("/mnt/wigclust5/data/safe/kendall/stillman01/saccer3.bin.boundaries." + filename_N + ".txt", "w")

	#OUTFILE.write("chrom\tbin.start.chrompos\tbin.start.abspos\tbin.end.chrompos\tbin.length\tmappable.positions\n")

	for x in CHROMLEN:
		arow = x.rstrip().split("\t")
		thisChrom = arow[0].strip()
		thisChromlen = int(arow[1])
		thisAbspos = long(arow[2])
		
		binStart = 0
		
		while binStart < thisChromlen - binsize:
			
			binEnd = binStart + binsize
			binStartAbspos = thisAbspos + binStart

			OUTFILE.write(thisChrom)
			OUTFILE.write("\t")
			OUTFILE.write(str(binStart))
			OUTFILE.write("\t")
			OUTFILE.write(str(binStartAbspos))
			OUTFILE.write("\t")
			OUTFILE.write(str(binEnd))
			OUTFILE.write("\t")
			OUTFILE.write(str(binEnd - binStart))
			OUTFILE.write("\n")
			
			binStart = binEnd
			

		binEnd = thisChromlen
		binStartAbspos = thisAbspos + binStart

		OUTFILE.write(thisChrom)
		OUTFILE.write("\t")
		OUTFILE.write(str(binStart))
		OUTFILE.write("\t")
		OUTFILE.write(str(binStartAbspos))
		OUTFILE.write("\t")
		OUTFILE.write(str(binEnd))
		OUTFILE.write("\t")
		OUTFILE.write(str(binEnd - binStart))
		OUTFILE.write("\n")


	CHROMLEN.close()
	OUTFILE.close()


if __name__ == "__main__":
	main()
